import { UiElement } from "./ui-element";


export class TextInput extends UiElement {

    constructor(
        private label: string,
        private elementId: string,
        private value: any,
        private containerId: string,
        private textVal: string,
        private disabled: string,
        private hidden: string,
        private required: string) {
        super(elementId, containerId, '');
        this.createElement(this.getTemplate());
    }

    public getTemplate() {
        let requiredClass: string = "";
        if (this.required === 'Y')
            requiredClass = "requiredClass"
        if (this.disabled === "N") { this.disabled = "disabled" } else { this.disabled = "" }
        if (this.hidden === "N") { this.hidden = "display:none;" } else { this.hidden = "" }
        const template =
            // "<div class='custom-text-area-element' style='" + this.hidden + "'>" +
            "<ion-item style='" + this.hidden + "' class='dynamicField'>" +
            " <ion-label position='floating' style='font-size: medium;' class='" + requiredClass + " dynamiclable-float'>" + this.label + "</ion-label>" +
            " <ion-input style='' type='text' data-colm-text='" + this.textVal + "' id='" + this.elementId + "' value='" + this.value + "' " + this.disabled + "> </ion-input>" +
            "</ion-item> ";

        return template;
    }
}
